Which android sdk version to use for android app

Questions about the LÖVE API, installing LÖVE and other support related questions go here.
Forum rules
Before you make a thread asking for help, read this.
Post Reply
User avatar
Gunroar:Cannon()
Party member
Posts: 280
Joined: Thu Dec 10, 2020 1:57 am

Which android sdk version to use for android app

Post by Gunroar:Cannon() »

Hellö all, as you can see here, I'm having some trouble :cry: and wanted someone to agree to compile my app, but it seems people don't have the time to, understandable :o: :nyu:

So then which/download link for the android sdk version to use to make an app, It seems hard to find.
Check out Dust
me: I don't always code but when I do it's done flawlessly.
also me:

Code: Select all

 function Gunroar:Cannon()
    for x, enemy in ipairs(self.allEnemies) do
        self:Cannon(enemy)
    end
end

Code: Select all

Lua Error: [file Gunroar.lua]:18: C stack overflow
User avatar
AuahDark
Citizen
Posts: 83
Joined: Mon Oct 23, 2017 2:34 pm
Location: Indonesia
Contact:

Re: Which android sdk version to use for android app

Post by AuahDark »

From https://github.com/love2d/love-android#quick-start:
  • SDK API 30
  • Android NDK 21.3.6528147
It also assumes you have JDK installed.
Profile. Do you encounter crashes in LÖVE Android and wanna send me logcats? Please hit me up in LÖVE Discord and send the full logcat file!
User avatar
Gunroar:Cannon()
Party member
Posts: 280
Joined: Thu Dec 10, 2020 1:57 am

Re: Which android sdk version to use for android app

Post by Gunroar:Cannon() »

Wait, what JDK?
Check out Dust
me: I don't always code but when I do it's done flawlessly.
also me:

Code: Select all

 function Gunroar:Cannon()
    for x, enemy in ipairs(self.allEnemies) do
        self:Cannon(enemy)
    end
end

Code: Select all

Lua Error: [file Gunroar.lua]:18: C stack overflow
User avatar
GVovkiv
Prole
Posts: 46
Joined: Fri Jan 15, 2021 7:29 am

Re: Which android sdk version to use for android app

Post by GVovkiv »

Gunroar:Cannon() wrote: Sun Apr 18, 2021 7:48 am Wait, what JDK?
Java Development Kit
User avatar
Gunroar:Cannon()
Party member
Posts: 280
Joined: Thu Dec 10, 2020 1:57 am

Re: Which android sdk version to use for android app

Post by Gunroar:Cannon() »

I need to download that too, right? Any version?
Check out Dust
me: I don't always code but when I do it's done flawlessly.
also me:

Code: Select all

 function Gunroar:Cannon()
    for x, enemy in ipairs(self.allEnemies) do
        self:Cannon(enemy)
    end
end

Code: Select all

Lua Error: [file Gunroar.lua]:18: C stack overflow
Post Reply

Who is online

Users browsing this forum: Bing [Bot], Google [Bot] and 29 guests